# Uses of Class
com.google.protobuf.Api

Packages that use Api
Package
Description
com.google.protobuf

## Uses of Api in com.google.protobuf

Methods in com.google.protobuf that return Api
Modifier and Type
Method
Description
`Api`
Api.Builder.`build()`
`Api`
Api.Builder.`buildPartial()`
`static Api`
Api.`getDefaultInstance()`
`Api`
Api.Builder.`getDefaultInstanceForType()`
`Api`
Api.`getDefaultInstanceForType()`
`static Api`
Api.`parseDelimitedFrom(InputStream input)`
`static Api`
Api.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Api`
Api.`parseFrom(byte[] data)`
`static Api`
Api.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static Api`
Api.`parseFrom(ByteString data)`
`static Api`
Api.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static Api`
Api.`parseFrom(CodedInputStream input)`
`static Api`
Api.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static Api`
Api.`parseFrom(InputStream input)`
`static Api`
Api.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Api`
Api.`parseFrom(ByteBuffer data)`
`static Api`
Api.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type Api
Modifier and Type
Method
Description
`Parser<Api>`
Api.`getParserForType()`
`static Parser<Api>`
Api.`parser()`
Methods in com.google.protobuf with parameters of type Api
Modifier and Type
Method
Description
`Api.Builder`
Api.Builder.`mergeFrom(Api other)`
`static Api.Builder`
Api.`newBuilder(Api prototype)`